// ignore_for_file: non_constant_identifier_names

import 'package:flutter/material.dart';

class Variables {
  //Defaultbackground: #265073;
  static Color color_primary = Color(0xFF265073);
  static Color color_secondary = Color(0xffF4F4F4);
  static Color color_status_bar_primary = Color(0xFFF09D3B);
  static Color color_status_bar_secondary = Color(0xFFDCDCDC);

//This is a primary alert
  static Color color_primary_alert_text = Color(0xFFF09D3B);
  static Color color_primary_alert_background = Color(0xCCE5FFFF);
  static Color color_primary_alert_border = Color(0xFFB8DAFF);
//====================================================================================
//This is a secondary alert
  static Color color_secondary_alert_text = Color(0xFF383D41);
  static Color color_secondary_alert_background =
      Color.fromRGBO(226, 227, 229, 1.0);
  static Color color_secondary_alert_border =
      Color.fromRGBO(214, 216, 219, 1.0);
//====================================================================================
//This is a success alert
  static Color color_success_alert_text = Color(0xFF155724);
  static Color color_success_alert_background =
      Color.fromRGBO(212, 237, 218, 1.0);
  static Color color_success_alert_border = Color(0xFFC3E6CB);
//====================================================================================
//This is a danger alert
  static Color color_danger_alert_text = Color(0xFF721C24);
  static Color color_danger_alert_background =
      Color.fromRGBO(248, 215, 218, 1.0);
  static Color color_danger_alert_border = Color(0xFFF5C6CB);
//====================================================================================
//This is a warning alert
  static Color color_warning_alert_text = Color(0xFF856404);
  static Color color_warning_alert_background =
      Color.fromRGBO(255, 243, 205, 1.0);
  static Color color_warning_alert_border = Color(0xFFFFEEBA);
//====================================================================================
//This is a info alert
  static Color color_info_alert_text = Color(0xFF0C5460);
  static Color color_info_alert_background = Color(0xFFD1ECF1);
  static Color color_info_alert_border = Color(0xFFBEE5EB);
//====================================================================================
//This is a light alert
  static Color color_light_alert_text = Color(0xFF818182);
  static Color color_light_alert_background =
      Color.fromRGBO(254, 254, 254, 1.0);
  static Color color_light_alert_border = Color(0xFFFDFDFE);
//====================================================================================
//This is a dark alert
  static Color color_dark_alert_text = Color(0xFF1B1E21);
  static Color color_dark_alert_background = Color(0xFFD6D8D9);
  static Color color_dark_alert_border = Color(0xFFC6C8CA);

  static double small_card_Width = 0;
  static double headline1FontSize = 0;
  static double headline2FontSize = 0;
  static double headline4FontSize = 0;
  static double headline5FontSize = 0;

  static void getMediaQuery(BuildContext context) {
    var size, width;
    size = MediaQuery.of(context).size;
    width = size.width;

// Small devices (landscape phones, 576px and up)
    if (width <= 576) {
      small_card_Width = 130;
      headline1FontSize = 20;
      headline2FontSize = 14;
      headline5FontSize = 11;
    }

// Medium devices (tablets, 768px and up)
    else if (width <= 768) {
      small_card_Width = 195;
      headline1FontSize = 20;
      headline2FontSize = 14;
      headline5FontSize = 12;
    }

// Large devices (desktops, 992px and up)
    else if (width <= 992) {
      small_card_Width = 250;
      headline1FontSize = 25;
      headline2FontSize = 19;
      headline5FontSize = 17;
    }

// Extra large devices (large desktops, 1200px and up)
    else if (width <= 1200) {
      small_card_Width = 300;
      headline1FontSize = 30;
      headline2FontSize = 24;
      headline5FontSize = 22;
    } else {
      small_card_Width = 370;
      headline1FontSize = 40;
      headline2FontSize = 34;
      headline5FontSize = 32;
    }
  }
}
